WPS8ParserInternal::Frame Struct Reference documentation

WPS8ParserInternal::Frame Struct Reference

Internal: a frame, a zone which can contain text, picture, ... and have some borders. More...

## Public Types
enum | { UNKNOWN = 0 , DbField , Header , Footer , Table , Object , Text }
| The frame type. More...

## Public Member Functions
| Frame ()
| constructor

## Public Attributes
bool | m_parsed
| a flag to know if the frame is already sent to the listener
int | m_type
| the frame type
WPSPosition | m_pos
| the frame position
int | m_idStrs
| identifier corresponding to a text zone (STRS)
int | m_idObject
| identifier corresponding to an object zone (EOBJ)
int | m_idTable
| identifier corresponding to a table (MCLD)
int | m_idOle
| identifier corresponding to an ole
int | m_columns
| the number of columns for a textbox, ...
WPSEntry | m_idBorder
| the border: an entry to some complex border (if sets)
WPSColor | m_backgroundColor
| the border's color
std::string | m_error
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, Frame const &ft)
| operator <<

## Detailed Description

Internal: a frame, a zone which can contain text, picture, ... and have some borders.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

The frame type.

- Header/Footer: the header and footer frame
- Table : a table
- Object : a picture, ...
- Text : a text zone

Enumerator
UNKNOWN |
DbField |
Header |
Footer |
Table |
Object |
Text |

## Constructor & Destructor Documentation

## ◆ Frame()

WPS8ParserInternal::Frame::Frame | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Frame const & | ft )
| friend

operator <<

## Member Data Documentation

## ◆ m_backgroundColor

WPSColor WPS8ParserInternal::Frame::m_backgroundColor

the border's color

Referenced by Frame(), and operator<<.

## ◆ m_columns

int WPS8ParserInternal::Frame::m_columns

the number of columns for a textbox, ...

Referenced by Frame(), and operator<<.

## ◆ m_error

std::string WPS8ParserInternal::Frame::m_error

a string used to store the parsing errors

Referenced by Frame(), and operator<<.

## ◆ m_idBorder

WPSEntry WPS8ParserInternal::Frame::m_idBorder

the border: an entry to some complex border (if sets)

Referenced by Frame(), and operator<<.

## ◆ m_idObject

int WPS8ParserInternal::Frame::m_idObject

identifier corresponding to an object zone (EOBJ)

Referenced by WPS8Parser::createStructures(), Frame(), and operator<<.

## ◆ m_idOle

int WPS8ParserInternal::Frame::m_idOle

identifier corresponding to an ole

Referenced by Frame(), and operator<<.

## ◆ m_idStrs

int WPS8ParserInternal::Frame::m_idStrs

identifier corresponding to a text zone (STRS)

Referenced by Frame(), WPS8Parser::getTableSTRSId(), operator<<, and WPS8Parser::sendTable().

## ◆ m_idTable

int WPS8ParserInternal::Frame::m_idTable

identifier corresponding to a table (MCLD)

Referenced by WPS8Parser::createStructures(), Frame(), operator<<, and WPS8Parser::sendTable().

## ◆ m_parsed

bool WPS8ParserInternal::Frame::m_parsed
| mutable

a flag to know if the frame is already sent to the listener

Referenced by Frame(), and WPS8Parser::sendTable().

## ◆ m_pos

WPSPosition WPS8ParserInternal::Frame::m_pos

the frame position

Referenced by Frame(), and operator<<.

## ◆ m_type

int WPS8ParserInternal::Frame::m_type

the frame type

Referenced by Frame(), and operator<<.

The documentation for this struct was generated from the following file:

- WPS8.cpp